Skip to content

Aadhar Verification

| View as Markdown

This api is for validating a customer’s aadhar number. We have to pass name, consent text and aadhar number in request. If the request is valid, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/baas/api/aadhaar-verification
FieldTypeDescription
content-typeapplication/json (required)
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self::$secret_key; (required)
api-keyTextWill be provided by airpay ( required)
processor-keyTextWill be provided by airpay ( required)
FieldTypeDescription
nameTextName of the user sharing consent (length 4-50, required)
consentTextTextName of the user sharing consent (length 1-10000, required)
aadhaarNoText12 digit Aadhaar Card Number as per the Card (length 12, required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/aadhaar-verification' \
--header 'content-type: application/json' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-raw {
"name": "akhil",
"consentText": "ok for consent",
"aadhaarNo":"786705541688"
}
FieldTypeDescription
statusNumeric400- fail,200-success(length 3)
messageTextsuccess, fail
dataText{ “ageBand”: “20-30”, “gender”: “MALE”, “state”: “Kerala”, “mobile”: "" }
{
"status": "200",
"message": "success",
"data": {
"ageBand": "20-30",
"gender": "MALE",
"state": "Kerala",
"mobile": ""
}
}
{
"status": "400",
"message": "Failed",
"data": ""
}